#set -x
md5sum -c fileinfo
vres=$?
if [ $vres -eq 1 ]; then
    echo "RUNME: FileList Check Failed!!!" >> /tmp/upgrade_result
    exit 3
fi
if ! [ -d /tmp/mem/ ]; then
	mkdir /tmp/mem
	mount -t tmpfs tmpfs /tmp/mem
else
	rm -r -f /tmp/mem/*
fi

if [ -s "FARM_HASH" ]; then
    hash=$(cat FARM_HASH | head -n 1 | tr -dc '[:alnum:]\n\r')
    if [ $(echo $hash | wc -c) -ne 41 ]; then
        echo "Invalid FARM_HASH" >> /tmp/upgrade_result
    else
        cat FARM_HASH | head -n 1 | tr -dc '[:alnum:]\n\r' > /config/FARM_HASH
    fi
fi

if [ -s "HIVE_HOST_URL" ]; then
    cat HIVE_HOST_URL | tr -d ';|"' > /config/HIVE_HOST_URL
fi

[ -e "/nvdata/latest.tar.gz" ] && rm -rf /nvdata/latest.tar.gz > /dev/null 2>&1

mkdir /tmp/mem/fw 
tar zxvf fw.tar.gz -C /tmp/mem/fw > /dev/null 2>&1
rm fw.tar.gz
cd /tmp/mem/fw
sh runme.sh
sync >/dev/null 2>&1
